Bug 844730 - segv on bbad file
segv on bbad file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: taskjuggler (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Novacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 10:24 EDT by Frank Ch. Eigler
Modified: 2016-11-30 19:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-22 22:09:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2012-07-31 10:24:32 EDT
% rpm -q taskjuggler
taskjuggler-2.4.3-7.fc16.x86_64
% touch foo
% taskjuggler foo
WARNING: foo has an unsupported file extension. Please use '.tjp' for toplevel files, '.tji' for included files and '.tjx' for TaskJuggler XML files.
[1]    21857 segmentation fault (core dumped)  taskjuggler foo
% gdb -args taskjuggler foo
(gdb) run
...crash..
(gdb) backtrace
Program received signal SIGSEGV, Segmentation fault.
0x00000036c386dfe6 in _IO_fflush (fp=0x627f70) at iofflush.c:42
42	      _IO_acquire_lock (fp);
Missing separate debuginfos, use: debuginfo-install lcms-libs-1.19-4.fc16.x86_64 libXau-1.0.6-2.fc15.x86_64 libXcursor-1.1.11-3.fc15.x86_64 libXfixes-5.0-1.fc16.x86_64 libXi-1.4.5-1.fc16.x86_64 libXinerama-1.1.1-2.fc15.x86_64 libXrandr-1.3.1-2.fc15.x86_64 libart_lgpl-2.3.21-2.fc15.x86_64 libattr-2.4.46-2.fc16.x86_64 libidn-1.22-3.fc16.x86_64 libjpeg-turbo-1.2.0-1.fc16.x86_64 libmng-1.0.10-5.fc15.x86_64 libutempter-1.1.5-5.fc15.x86_64 libuuid-2.20.1-2.3.fc16.x86_64 libxcb-1.7-3.fc16.x86_64
(gdb) bt
#0  0x00000036c386dfe6 in _IO_fflush (fp=0x627f70) at iofflush.c:42
#1  0x00000036f1daaf25 in QFile::close (this=0x628220) at tools/qfile_unix.cpp:731
#2  0x00000036f1dbf4dc in QFile::~QFile (this=0x628220, __in_chrg=<optimized out>)
    at tools/qfile.cpp:188
#3  0x00000036f1dbf589 in QFile::~QFile (this=0x628220, __in_chrg=<optimized out>)
    at tools/qfile.cpp:190
#4  0x00000036f1df661b in QTextStream::~QTextStream (this=0x6281c0, __in_chrg=<optimized out>)
    at tools/qtextstream.cpp:632
#5  0x00000036f1df66a9 in QTextStream::~QTextStream (this=0x6281c0, __in_chrg=<optimized out>)
    at tools/qtextstream.cpp:634
#6  0x00002aaaaab48a62 in ~auto_ptr (this=0x624b98, __in_chrg=<optimized out>)
    at /usr/include/c++/4.6.0/backward/auto_ptr.h:170
#7  ~FileToken (this=0x624b80, __in_chrg=<optimized out>) at FileToken.h:32
#8  ~FileInfo (this=0x624b80, __in_chrg=<optimized out>) at FileInfo.h:28
#9  FileInfo::~FileInfo (this=0x624b80, __in_chrg=<optimized out>) at FileInfo.h:28
#10 0x00000036f1dc60d6 in QGList::remove (this=0x7fffffffd770, d=<optimized out>)
    at tools/qglist.cpp:545
#11 0x00002aaaaab49b0a in removeLast (this=0x7fffffffd770)
    at /usr/lib64/qt-3.3/include/qglist.h:167
#12 removeLast (this=0x7fffffffd770) at /usr/lib64/qt-3.3/include/qptrlist.h:92
#13 ProjectFile::close (this=0x7fffffffd760) at ProjectFile.cpp:150
#14 0x00002aaaaab49c54 in nextToken (buf=<optimized out>, this=<optimized out>)
    at ProjectFile.cpp:1027
#15 ProjectFile::nextToken (this=0x7fffffffd760, buf=...) at ProjectFile.cpp:1019
#16 0x00002aaaaab5e323 in ProjectFile::parse (this=0x7fffffffd760) at ProjectFile.cpp:177
#17 0x000000000040241d in main (argc=2, argv=<optimized out>) at main.cpp:220
Comment 2 Fedora Update System 2012-11-13 03:48:13 EST
taskjuggler-2.4.3-13.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/taskjuggler-2.4.3-13.fc18
Comment 3 Fedora Update System 2012-11-13 03:59:16 EST
taskjuggler-2.4.3-13.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/taskjuggler-2.4.3-13.fc17
Comment 4 Fedora Update System 2012-11-13 04:00:26 EST
taskjuggler-2.4.3-13.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/taskjuggler-2.4.3-13.fc16
Comment 5 Fedora Update System 2012-11-13 14:09:24 EST
Package taskjuggler-2.4.3-13.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing taskjuggler-2.4.3-13.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18123/taskjuggler-2.4.3-13.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-11-22 22:09:34 EST
taskjuggler-2.4.3-13.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-11-22 22:15:00 EST
taskjuggler-2.4.3-13.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-11-23 02:19:10 EST
taskjuggler-2.4.3-13.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.